Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154575 - crontab truncates file names greater than 100 characters.
Summary: crontab truncates file names greater than 100 characters.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: vixie-cron
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Vas Dias
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks: 161600 163885
TreeView+ depends on / blocked
 
Reported: 2005-04-12 19:20 UTC by John Howe
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version: RHSA-2005:0117
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-05-01 17:45:45 UTC


Attachments (Terms of Use)

Description John Howe 2005-04-12 19:20:40 UTC
Description of problem:

crontab truncates file names greater than 100 characters.

Version-Release number of selected component (if applicable):

vixie-cron-3.0.1-75.1

How reproducible:

Consistently

Steps to Reproduce:
1. Create directory structure greater than 90 characters, for example: 'mkdir -p
/tmp/smartfilter_da_ifs_4.0.0.00_16_redhat_enterprise_i386/smartfilter_da_ifs_4.0.0.00_16_redhat_enterprise_i386/
2. Clone root crontab into new directory: 'crontab -l >
/tmp/smartfilter_da_ifs_4.0.0.00_8_redhat_enterprise_i386/smartfilter_da_ifs_4.0.0.00_8_redhat_enterprise_i386/test.crontab'
3. Attempt to install newly cloned crontab: 'crontab
/tmp/smartfilter_da_ifs_4.0.0.00_8_redhat_enterprise_i386/smartfilter_da_ifs_4.0.0.00_8_redhat_enterprise_i386/test.crontab'

  
Actual results:

crontab reports file not found: 

# crontab
/tmp/smartfilter_da_ifs_4.0.0.00_16_redhat_enterprise_i386/smartfilter_da_ifs_4.0.0.00_16_redhat_enterprise_i386/test.crontab

/tmp/smartfilter_da_ifs_4.0.0.00_16_redhat_enterprise_i386/smartfilter_da_ifs_4.0.0.00_16_redhat_ente:
No such file or directory

Expected results:

crontab accepts filenames greater than 100 characters.

Additional info:

In Red Hat Enterprise 4.0, this issue exists, however, crontab reports that the
filename is too long.

# crontab
/tmp/smartfilter_da_ifs_4.0.0.00_16_redhat_enterprise_i386/smartfilter_da_ifs_4.0.0.00_16_redhat_enterprise_i386/test.crontab

crontab: usage error: filename too long

Though it doesn't say how long by.

Comment 1 Jason Vas Dias 2005-04-13 14:30:51 UTC
I will remedy this in the next version.

Meanwhile, an easy workaround is:

# crontab < \
/tmp/smartfilter_da_ifs_4.0.0.00_16_redhat_enterprise_i386/smartfilter_da_ifs_4.0.0.00_16_redhat_enterprise_i386/test.crontab


Comment 2 Jason Vas Dias 2005-04-15 13:29:43 UTC
This is now fixed with vixie-cron-4.1-6_EL3, which should be in 
RHEL-3-U6, but which meanwhile can be downloaded from:
  http://people.redhat.com/~jvdias/cron/RHEL-3/


Comment 4 Jason Vas Dias 2005-10-14 15:33:50 UTC
This bug is fixed with vixie-cron-4.1-8_EL3, available from:
  http://people.redhat.com/~jvdias/cron/RHEL-3
and should be considered for inclusion in RHEL-3-U7 .

Comment 7 Jason Vas Dias 2006-05-01 17:45:45 UTC
Fixed with vixie-cron-4.1-10.EL3, currently in RHEL-3-U7 with errata
RHSA-2005:0117.


Note You need to log in before you can comment on or make changes to this bug.